Bug 820757 - [as7] HornetQ server sub-resources and properties missing for Deployment
[as7] HornetQ server sub-resources and properties missing for Deployment
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 817808 821808
Blocks: as7-plugin 817811 821851
  Show dependency treegraph
 
Reported: 2012-05-10 17:24 EDT by Stefan Negrea
Modified: 2013-09-03 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 817808
: 821851 (view as bug list)
Environment:
Last Closed: 2013-09-03 11:11:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-10 17:24:30 EDT
The hornetq-server and sub-resources have extra configurable properties and operations currently not exposed for deployments.
Comment 1 Stefan Negrea 2012-05-14 08:33:33 EDT
HornetQ server for deployments has been updated. 

master branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=749d24468d8861bd476f15a6b8e58e6d3ffbb41f
Comment 2 Libor Zoubek 2012-05-22 10:43:50 EDT
verifying on JON 3.1.ER4
I see one confusing thing here. If I try to add Child resource for 'hornetq' typeof 'Path', resourceName I type in is ignored and new resource is always called 'journal-directory'. 

I was checking AS7 CLI and messaging schema found out that:

there are 4 possible path names, that can be added (in schema directoryType):

paging-directory
bindings-directory
journal-directory
large-messages-directory


Using CLI I can do this:

/subsystem=messaging/hornetq-server=default/path=paging-directory:add(path=/tmp)
{
    "outcome" => "success",
    "response-headers" => {
        "operation-requires-reload" => true,
        "process-state" => "reload-required"
    }
}

But I cannot do the same using JON, since resource-name is ignored and there's always passed 'journal-directory'

Anyway, for a JON user configuring hornetq it is very hard to figure out above 4 setting names.

I suggest transforming 'Path' child resource into 4 hornetq configuration properties.
Comment 3 Stefan Negrea 2012-05-29 09:58:15 EDT
Comment #2 does not apply to deployment messaging subsystem. Please retest this BZ within the context of a deployment with the messaging subsystem. The path would be /deployment=test.war/subsystem=messaging


I created bug 826066 to capture comment #2 from Libor.
Comment 4 Libor Zoubek 2012-05-30 07:42:59 EDT
verified on JON3.1.CR1
Comment 5 Heiko W. Rupp 2013-09-03 11:11:59 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.